Skip to content

List ZFS scrub schedules

GET
/zfs/pools/scrub/schedules
curl --request GET \
--url https://sylve.lan:8181/api/zfs/pools/scrub/schedules \
--header 'Authorization: <Authorization>'

OK

Media typeapplication/json
object
data
Array<object>
object
active
boolean
createdAt
string
cronExpr
string
enabled
boolean
id
integer
lastError
string
lastRunAt
string
lastStatus
string
nextRunAt
string
poolGuid
string
poolName
string
progressKnown
boolean
progressPct
integer
queuedAt
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"active": true,
"createdAt": "example",
"cronExpr": "example",
"enabled": true,
"id": 1,
"lastError": "example",
"lastRunAt": "example",
"lastStatus": "example",
"nextRunAt": "example",
"poolGuid": "example",
"poolName": "example",
"progressKnown": true,
"progressPct": 1,
"queuedAt": "example",
"updatedAt": "example"
}
],
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}